#include <iostream>

using namespace std;

int main()
{
    long long q,k,n,t;
    string res="";
    cin>>q;
    for(int i=0; i<q ;i++){
        res="";
        cin>>n>>k>>t;
        long long b=t-1;
        while(b){
            if(b%2==0)
                res="("+res;

            else
                res=")"+res;

            b/=2;
        }
        if(res.size()>n)
            cout<<"Ne postoji"<<endl;
        else{
            for(int i=0;i<n-res.size();i++)
                cout<<'(';
            cout<<res<<endl;
        }
    }
    return 0;
}